package sk.fiit.jim.init;

import java.io.File;
import sk.fiit.jim.agent.communication.Communication;

/**
 *  Main.java
 *  
 *  Entry point of the program. Launching this class will glue all the components
 *  together, connect to the server and play.
 *
 *@Title	Jim
 *@author	marosurbanec
 */
public class Main{
	
	public static void main(String[] args) throws Exception{
		new SkillsFromXmlLoader(new File("./moves")).load();
		ScriptBoot.boot();
		//dependency injection is set in dependencies.rb => no need to do them manually
		System.runFinalization();
		System.gc();
		Communication.getInstance().start();
	}
}